Public Member Functions

# BootstrapContentDownloadStatusWindow Struct Reference

Window for showing the download status of content. More...

Inheritance diagram for BootstrapContentDownloadStatusWindow:

## Public Member Functions
| BootstrapContentDownloadStatusWindow ()
| Simple call the constructor of the superclass.
virtual void | OnDownloadComplete (ContentID cid)
| We have finished downloading a file.

## Detailed Description

Window for showing the download status of content.

Definition at line 82 of file bootstrap_gui.cpp.

## Constructor & Destructor Documentation

BootstrapContentDownloadStatusWindow::BootstrapContentDownloadStatusWindow | ( |  | ) | `[inline]`

Simple call the constructor of the superclass.

Definition at line 85 of file bootstrap_gui.cpp.

## Member Function Documentation

virtual void BootstrapContentDownloadStatusWindow::OnDownloadComplete | ( | ContentID | cid | ) | `[inline, virtual]`

We have finished downloading a file.

Parameters:

  | cid | the ContentID of the downloaded file

Reimplemented from ContentCallback.

Definition at line 89 of file bootstrap_gui.cpp.

References BaseMedia< GraphicsSet >::FindSets().

The documentation for this struct was generated from the following file:

- src/bootstrap_gui.cpp